<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".modules.home.fragment.from.DiyMemoryActivity"
    android:orientation="vertical"
    android:background="@color/app_color_blue"
    android:fitsSystemWindows="true"
    app:qmui_skin_background="?attr/app_skin_common_background">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/activity_background">
        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <!-- 开始启动 -->
                <LinearLayout
                    android:id="@+id/start_bj"
                    android:layout_width="match_parent"
                    android:layout_height="100dp"
                    android:layout_marginTop="2dp"
                    android:background="#25FF9800"
                    android:padding="5dp">
                    <RelativeLayout
                        android:layout_marginLeft="20dp"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <ImageView
                            android:id="@+id/startbutton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true"
                            android:src="@mipmap/start_js" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent">

                        <LinearLayout
                            android:layout_marginLeft="@dimen/dp_40"
                            android:layout_centerVertical="true"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">
                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="运行时间: "
                                android:textColor="@color/gray_deep"
                                android:textSize="28dp" />
                            <Chronometer
                                android:id="@+id/runtime"
                                android:textSize="40dp"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/purple_primary"
                                android:textStyle="bold|italic"/>
                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text=" 秒"
                                android:textColor="@color/gray_deep"
                                android:textSize="28dp" />
                        </LinearLayout>

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="温馨提示:\n    ①点击开始烹饪\n    ②烹饪菜品,自动记忆工序\n    ③点击结束烹饪,保存工序\n    ④退出界面查看工序"
                            android:textColor="@color/colorAccent"
                            android:textSize="12dp"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="@dimen/dp_10"
                            android:layout_alignParentRight="true"/>

<!--                        <ImageView-->
<!--                            android:layout_alignParentRight="true"-->
<!--                            android:layout_width="wrap_content"-->
<!--                            android:layout_height="wrap_content"-->
<!--                            android:src="@mipmap/weikaishi" />-->
                    </RelativeLayout>
                </LinearLayout>

                <!-- 火力选择 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">
                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="烹饪火力"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.bonait.bnframework.modules.home.fragment.mode.huoli_control
                            android:id="@+id/huoli"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerInParent="true" />
                    </RelativeLayout>
                </LinearLayout>

                <!-- 搅拌 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="翻炒速度"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">

                        <RelativeLayout
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="1">

                            <com.litao.slider.NiftySlider
                                android:id="@+id/nifty_slider2"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_centerVertical="true"
                                android:hapticFeedbackEnabled="true"
                                android:stepSize="1"
                                android:value="22"
                                android:valueFrom="0"
                                android:valueTo="60"
                                app:enableDrawHalo="false"
                                app:thumbColor="@color/we_read_thumb_color"
                                app:thumbRadius="13dp"
                                app:thumbText="22"
                                app:thumbTextBold="true"
                                app:thumbTextColor="@color/we_read_theme_color"
                                app:thumbTextSize="12sp"
                                app:thumbWithinTrackBounds="true"
                                app:trackColor="@color/pro1"
                                app:trackColorInactive="@color/pro2"
                                app:trackHeight="26dp" />

                        </RelativeLayout>

                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_alignParentRight="true"
                            android:layout_marginRight="@dimen/dp_10">

                            <Button
                                android:id="@+id/querendangwei"
                                android:layout_width="100dp"
                                android:layout_height="30dp"
                                android:layout_centerInParent="true"
                                android:background="@drawable/button1"
                                android:text="确认"
                                android:textColor="@color/black"
                                android:textSize="14dp" />
                        </RelativeLayout>
                    </LinearLayout>
                </LinearLayout>

                <!-- 液料出料 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp"
                    android:orientation="horizontal">
                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginRight="@dimen/dp_10">
                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="液料控制"
                            android:textSize="16dp" />
                    </RelativeLayout>
                    <ScrollView
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1">
                        <LinearLayout
                            android:id="@+id/gxchid"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">
                        </LinearLayout>
                    </ScrollView>
                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10"
                        android:layout_marginRight="@dimen/dp_10">

                        <Button
                            android:id="@+id/chuliao"
                            android:layout_width="100dp"
                            android:layout_height="46dp"
                            android:layout_centerInParent="true"
                            android:background="@drawable/button1"
                            android:text="点击出料"
                            android:textColor="@color/black"
                            android:textSize="14dp" />
                    </RelativeLayout>
                </LinearLayout>

                <!-- 主料投料 -->
                <LinearLayout
                    android:id="@+id/zhuliaotouliao"
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">

                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="主料投料"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">
                        <LinearLayout
                            android:layout_centerVertical="true"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">
                            <Button
                                android:id="@+id/touliao0"
                                android:layout_width="80dp"
                                android:layout_height="match_parent"
                                android:background="@drawable/button1"
                                android:text="回原点"
                                android:textColor="@color/black"
                                android:textSize="14dp"/>
                            <Button
                                android:layout_marginLeft="@dimen/dp_10"
                                android:id="@+id/touliao1"
                                android:layout_width="80dp"
                                android:layout_height="match_parent"
                                android:background="@drawable/button1"
                                android:text="一号投料"
                                android:textColor="@color/black"
                                android:textSize="14dp"/>
                            <Button
                                android:layout_marginLeft="@dimen/dp_10"
                                android:id="@+id/touliao2"
                                android:layout_width="80dp"
                                android:layout_height="match_parent"
                                android:background="@drawable/button1"
                                android:text="二号投料"
                                android:textColor="@color/black"
                                android:textSize="14dp"/>
                            <Button
                                android:layout_marginLeft="@dimen/dp_10"
                                android:id="@+id/touliao3"
                                android:layout_width="80dp"
                                android:layout_height="match_parent"
                                android:background="@drawable/button1"
                                android:text="三号投料"
                                android:textColor="@color/black"
                                android:textSize="14dp"/>
                            <Button
                                android:layout_marginLeft="@dimen/dp_10"
                                android:id="@+id/touliao4"
                                android:layout_width="80dp"
                                android:layout_height="match_parent"
                                android:background="@drawable/button1"
                                android:text="四号投料"
                                android:textColor="@color/black"
                                android:textSize="14dp"/>

                        </LinearLayout>
                    </RelativeLayout>
                </LinearLayout>

                <!-- 炒锅位置 -->
<!--                <LinearLayout-->
<!--                    android:layout_width="match_parent"-->
<!--                    android:layout_height="50dp"-->
<!--                    android:layout_marginTop="2dp"-->
<!--                    android:background="@color/qmui_config_color_white"-->
<!--                    android:padding="5dp">-->

<!--                    <RelativeLayout-->
<!--                        android:layout_width="wrap_content"-->
<!--                        android:layout_height="match_parent">-->
<!--                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView-->
<!--                            android:layout_width="wrap_content"-->
<!--                            android:layout_height="wrap_content"-->
<!--                            android:layout_centerVertical="true"-->
<!--                            android:text="锅口位置"-->
<!--                            android:textSize="16dp" />-->
<!--                    </RelativeLayout>-->

<!--                    <LinearLayout-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="match_parent"-->
<!--                        android:layout_marginLeft="@dimen/dp_10">-->
<!--                        <RelativeLayout-->
<!--                            android:layout_width="wrap_content"-->
<!--                            android:layout_height="match_parent"-->
<!--                            android:layout_weight="1">-->

<!--                            <com.litao.slider.NiftySlider-->
<!--                                android:id="@+id/nifty_slider3"-->
<!--                                android:layout_width="match_parent"-->
<!--                                android:layout_height="wrap_content"-->
<!--                                android:layout_centerVertical="true"-->
<!--                                android:hapticFeedbackEnabled="true"-->
<!--                                android:stepSize="1"-->
<!--                                android:value="22"-->
<!--                                android:valueFrom="0"-->
<!--                                android:valueTo="60"-->
<!--                                app:enableDrawHalo="false"-->
<!--                                app:thumbColor="@color/we_read_thumb_color"-->
<!--                                app:thumbRadius="13dp"-->
<!--                                app:thumbText="22"-->
<!--                                app:thumbTextBold="true"-->
<!--                                app:thumbTextColor="@color/we_read_theme_color"-->
<!--                                app:thumbTextSize="12sp"-->
<!--                                app:thumbWithinTrackBounds="true"-->
<!--                                app:trackColor="@color/pro1"-->
<!--                                app:trackColorInactive="@color/pro2"-->
<!--                                app:trackHeight="26dp" />-->
<!--                        </RelativeLayout>-->
<!--                    </LinearLayout>-->
<!--                </LinearLayout>-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <LinearLayout
                        android:layout_marginLeft="0dp"
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_alignParentLeft="true">
                        <Button
                            android:id="@+id/ydw"
                            android:layout_width="60dp"
                            android:layout_height="match_parent"
                            android:layout_marginRight="5dp"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="原点位"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp">
                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="30dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>
                        <Button
                            android:id="@+id/dcw"
                            android:layout_width="60dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="倒菜位"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="30dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>
                        <Button
                            android:id="@+id/clw"
                            android:layout_width="60dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="抽料位"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="30dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>
                        <Button
                            android:id="@+id/qxw"
                            android:layout_width="60dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="清洗位"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="30dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>
                        <Button
                            android:id="@+id/ccw1"
                            android:layout_width="60dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="炒菜位1"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="30dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>
                        <Button
                            android:id="@+id/ccw2"
                            android:layout_width="60dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="炒菜位2"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="2dp"
                            android:layout_marginRight="2dp">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="30dp"
                                android:layout_centerInParent="true"
                                android:background="@color/activity_background" />
                        </RelativeLayout>
                        <Button
                            android:id="@+id/ccw3"
                            android:layout_width="60dp"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="5dp"
                            android:background="@drawable/bg_btn_login_selected"
                            android:text="炒菜位3"
                            android:textColor="@color/white"
                            android:textSize="16dp" />
                    </LinearLayout>
                </LinearLayout>

                <!-- 出菜 -->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="60dp"
                    android:layout_marginTop="2dp"
                    android:background="@color/qmui_config_color_white"
                    android:padding="5dp">

                    <RelativeLayout
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent">
                        <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:text="其他控制"
                            android:textSize="16dp" />
                    </RelativeLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_10">
                        <Button
                            android:id="@+id/zidongchucan"
                            android:layout_width="80dp"
                            android:layout_height="match_parent"
                            android:background="@drawable/button1"
                            android:text="自动出餐"
                            android:textColor="@color/black"
                            android:textSize="14dp" />

                        <Button
                            android:layout_marginLeft="@dimen/dp_10"
                            android:id="@+id/touliao_sd"
                            android:layout_width="80dp"
                            android:layout_height="match_parent"
                            android:background="@drawable/button1"
                            android:text="手动投料"
                            android:textColor="@color/black"
                            android:textSize="14dp"/>
                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>
        </ScrollView>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue"/>
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>